Referenta
POST
/api/v1/contactbase/send/mass

Sends a personalized or bulk campaign through the connected Outlook account. Requires html or text. Limited to 75 recipients per request in individual mode (50 in bulk mode) and 400 emails/hour per user.

Authorization

dashboardSession
sb-access-token<token>

Authenticated dashboard session cookie. Some routes also rely on additional Supabase SSR cookies.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/contactbase/send/mass" \  -H "Content-Type: application/json" \  -d '{    "recipients": [      "user@example.com"    ],    "subject": "string"  }'
{
  "ok": true,
  "message": "string"
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}